Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class AbstractDelimiter

    java.lang.Object
      com.servingxml.components.flatfile.options.AbstractDelimiter

All Implemented Interfaces:
  Delimiter

Direct Known Subclasses:
  FieldDelimiter, NameDelimiter, RecordDelimiter, RepeatDelimiter, SegmentDelimiter, SubfieldDelimiter

    public abstract class AbstractDelimiter

extends java.lang.Object
implements Delimiter

Field Summary
`protected Separator` | `separator`

Fields inherited from interface com.servingxml.components.flatfile.options.Delimiter
`EMPTY_DELIMITER_ARRAY, NULL`

Constructor Summary
`AbstractDelimiter(char[] symbol, boolean reading, boolean writing)`
`AbstractDelimiter(Separator separator, boolean reading, boolean writing)`
`AbstractDelimiter(java.lang.String symbol, boolean reading, boolean writing)`
`AbstractDelimiter(java.lang.String startValue, java.lang.String endValue)`
`AbstractDelimiter(java.lang.String symbol, java.lang.String escapedBy, java.lang.String continuationSequence, boolean reading, boolean writing)`

Method Summary
`ByteDelimiterExtractor` | `createByteDelimiterExtractor(java.nio.charset.Charset charset)`
`CharDelimiterExtractor` | `createCharDelimiterExtractor()`
`DelimiterExtractor` | `createDelimiterExtractor(java.nio.charset.Charset charset)`
`boolean` | `equalsString(java.lang.String s)`
`boolean` | `forReading()`
`boolean` | `forWriting()`
`boolean` | `isEmpty()`
`boolean` | `occursIn(java.lang.String s)`
`java.lang.String` | `toString()`
`protected static java.lang.Object` | `trimArray(Delimiter[] delimiters)`
`void` | `writeEndDelimiterTo(RecordOutput recordOutput)`
`void` | `writeEndDelimiterTo(java.lang.StringBuilder buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### separator

    protected final Separator separator

Constructor Detail

### AbstractDelimiter

    public AbstractDelimiter(char[] symbol,
                             boolean reading,
                             boolean writing)

### AbstractDelimiter

    public AbstractDelimiter(java.lang.String symbol,
                             boolean reading,
                             boolean writing)

### AbstractDelimiter

    public AbstractDelimiter(java.lang.String symbol,
                             java.lang.String escapedBy,
                             java.lang.String continuationSequence,
                             boolean reading,
                             boolean writing)

### AbstractDelimiter

    public AbstractDelimiter(Separator separator,
                             boolean reading,
                             boolean writing)

### AbstractDelimiter

    public AbstractDelimiter(java.lang.String startValue,
                             java.lang.String endValue)

Method Detail

### writeEndDelimiterTo

    public void writeEndDelimiterTo(java.lang.StringBuilder buf)

  Specified by:
    `writeEndDelimiterTo` in interface `Delimiter`

### writeEndDelimiterTo

    public void writeEndDelimiterTo(RecordOutput recordOutput)

  Specified by:
    `writeEndDelimiterTo` in interface `Delimiter`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Delimiter`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### trimArray

    protected static java.lang.Object trimArray(Delimiter[] delimiters)

### occursIn

    public boolean occursIn(java.lang.String s)

  Specified by:
    `occursIn` in interface `Delimiter`

### createByteDelimiterExtractor

    public ByteDelimiterExtractor createByteDelimiterExtractor(java.nio.charset.Charset charset)

  Specified by:
    `createByteDelimiterExtractor` in interface `Delimiter`

### createCharDelimiterExtractor

    public CharDelimiterExtractor createCharDelimiterExtractor()

  Specified by:
    `createCharDelimiterExtractor` in interface `Delimiter`

### createDelimiterExtractor

    public DelimiterExtractor createDelimiterExtractor(java.nio.charset.Charset charset)

  Specified by:
    `createDelimiterExtractor` in interface `Delimiter`

### equalsString

    public boolean equalsString(java.lang.String s)

  Specified by:
    `equalsString` in interface `Delimiter`

### forReading

    public boolean forReading()

  Specified by:
    `forReading` in interface `Delimiter`

### forWriting

    public boolean forWriting()

  Specified by:
    `forWriting` in interface `Delimiter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD